# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MTrimContribution

Packages that use MTrimContribution
Package
Description
org.eclipse.e4.ui.model.application.impl
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MTrimContribution in org.eclipse.e4.ui.model.application.impl

Fields in org.eclipse.e4.ui.model.application.impl with type parameters of type MTrimContribution
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MTrimContribution>`
ApplicationImpl.`trimContributions`
The cached value of the '`Trim Contributions`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.impl that return types with arguments of type MTrimContribution
Modifier and Type
Method
Description
`List<MTrimContribution>`
ApplicationImpl.`getTrimContributions()`

## Uses of MTrimContribution in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MTrimContribution
Modifier and Type
Method
Description
`MTrimContribution`
MMenuFactory.`createTrimContribution()`
Returns a new object of class 'Trim Contribution'.
Methods in org.eclipse.e4.ui.model.application.ui.menu that return types with arguments of type MTrimContribution
Modifier and Type
Method
Description
`List<MTrimContribution>`
MTrimContributions.`getTrimContributions()`
Returns the value of the 'Trim Contributions' containment reference list.

## Uses of MTrimContribution in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MTrimContribution
Modifier and Type
Class
Description
`class`
`TrimContributionImpl`
An implementation of the model object 'Trim Contribution'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MTrimContribution
Modifier and Type
Method
Description
`MTrimContribution`
MenuFactoryImpl.`createTrimContribution()`

## Uses of MTrimContribution in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MTrimContribution
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseTrimContribution(MTrimContribution object)`
Returns the result of interpreting the object as an instance of 'Trim Contribution'.